<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>
        Masahiro Kaga | Portfolio
    </title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
    <style>
        * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
        }

        #btn-back-to-top {
          position: fixed;
          bottom: 20px;
          right: 20px;
          display: none;
          z-index: 100;
        }
    </style>
</head>

<body>
    <button type="button" class="btn btn-danger btn-floating btn-lg" id="btn-back-to-top">
        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-bar-up" viewBox="0 0 16 16">
            <path fill-rule="evenodd" d="M8 10a.5.5 0 0 0 .5-.5V3.707l2.146 2.147a.5.5 0 0 0 .708-.708l-3-3a.5.5 0 0 0-.708 0l-3 3a.5.5 0 1 0 .708.708L7.5 3.707V9.5a.5.5 0 0 0 .5.5zm-7 2.5a.5.5 0 0 1 .5-.5h13a.5.5 0 0 1 0 1h-13a.5.5 0 0 1-.5-.5z" />
        </svg>
    </button>
    <nav class="navbar navbar-expand-lg navbar-dark bg-info">
        <ul class="navbar-nav mx-auto">
            <li class="nav-item">
                <a class="nav-link" href="#">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#project">Project</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#tools">Tools</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#contacts">Contacts</a>
            </li>
        </ul>
    </nav>
    <div class="text-center mt-4">
        <img class="rounded-circle my-5" src="./images/kitkatman.png" alt="Circle image" style="width:30vw;height: 30vw;">
        <h2>
            KitKat Freaker
        </h2>
        <h3>
            Full-Stack Web Developer / CEO
        </h3>
        <div style="width:50vw" class="my-5 mx-auto">
            <p>
                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </p>
        </div>
        <hr class="border border-dark my-5">
        <div style="width:35vw" class="card my-5 mx-auto bg-warning">
            <div class="card-body" id="project"> Project </div>
            <img class="card-img-bottom" src="./images/project.png" alt="Card image cap">
        </div>
    </div>
    <!-- activity -->
    <div class="container">
        <h1 class="mt-5 text-center">MERN Projects</h1>
        <div class="row mt-5 p-4">
            <div class="col-12 col-md-6 order-md-2">
                <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="img-fluid">
            </div>
            <div class="col-12 col-md-6 order-md-1">
                <h3 class="mt-3">Web API(Ecommerce)</h3>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                    tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                    quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                    consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                    cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                    proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
            </div>
        </div>
        <div class="row mt-5">
            <div class="col-12 col-md-6 order-md-1">
                <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="img-fluid">
            </div>
            <div class="col-12 col-md-6 order-md-2">
                <h3 class="mt-3">React Frontend (Ecommerce)</h3>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
                    tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                    quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                    consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
                    cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                    proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
            </div>
        </div>
    </div>
    <hr class="border border-dark my-5">
    <div class="container-fluid">
        <div id="tools">
            <h2 class="text-center my-4">Tools</h2>
            <h3 class="text-center mt-3">Coor Tools</h3>
            <div class="d-flex flex-row justify-content-center">
                <img src="./images/logo-html5.png" style="width: 80px;">
            </div>
            <div class="d-flex flex-row justify-content-center">
                <img src="./images/logo-css3.png" style="width: 80px;">
                <img src="./images/logo-javascript.png" style="width: 80px;">
            </div>
            <h3 class="text-center mt-3">Other Tools</h3>
            <div class="d-flex flex-row justify-content-center flex-wrap">
                <img src="./images/logo-mongodb.png" style="width: 80px;">
                <img src="./images/logo-nodejs.png" style="width: 80px;">
                <img src="./images/logo-expressjs.png" style="width: 80px;">
                <img src="./images/logo-react.png" style="width: 80px;">
                <img src="./images/logo-heroku.png" style="width: 80px;">
                <img src="./images/logo-git.png" style="width: 80px;">
                <img src="./images/logo-sublime-text-3.png" style="width: 80px;">
                <img src="./images/logo-postman.png" style="width: 80px;">
                <img src="./images/logo-gitlab-ci-cd.png" style="width: 80px;">
            </div>
        </div>
    </div>
    <hr class="border border-dark my-5">
    <div class="container-fluid">
        <div class="row" id="contacts">
            <div class="col-12 col-md-6 my-5">
                <h2 class="text-center mb-4">Visit Us!</h2>
                <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d20833.637859613904!2d-123.1070204!3d49.2535653!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sja!2sca!4v1639645062352!5m2!1sja!2sca" frameborder="0" style="height:40vh;width: 100%;"></iframe>
            </div>
            <div class="col-12 col-md-6 my-5">
                <h2 class="text-center mb-4">Contact Us!</h2>
                <form>
                    <div class="form-group">
                        <label for="txt-username">Name:</label>
                        <input type="text" name="name" id="txt-username" placeholder="Enter Full Name" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="txt-email">Email:</label>
                        <input type="email" name="email" id="txt-email" placeholder="Name@Example.com" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="txt-message">Message:</label>
                        <textarea id="txt-message" class="form-control" rows="3"></textarea>
                    </div>
                    <button type="submit" class="btn btn-block btn-success">Submit
                    </button>
                </form>
            </div>
        </div>
    </div>
    <footer class="p-3 bg-primary mt-5">
        <p class="text-center text-white">Masahiro Kaga</p>
        <p class="text-center text-white">
            &copy;Copy right, no pirates
        </p>
    </footer>
    <!--







     -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
    <script type="text/javascript">
        let mybutton = document.getElementById("btn-back-to-top");

        // When the user scrolls down 20px from the top of the document, show the button
        window.onscroll = function() {
            scrollFunction();
        };

        function scrollFunction() {
            if (
                document.body.scrollTop > 20 ||
                document.documentElement.scrollTop > 20
            ) {
                mybutton.style.display = "block";
            } else {
                mybutton.style.display = "none";
            }
        }
        // When the user clicks on the button, scroll to the top of the document
        mybutton.addEventListener("click", backToTop);

        function backToTop() {
            document.body.scrollTop = 0;
            document.documentElement.scrollTop = 0;
        }
    </script>
</body>

</html>